<?php
include_once("c_esmo_setting_group_of_personal.php");
class c_page_cab_esmo_setting_group_of_personal_report extends c_page_cab_esmo_setting_group_of_personal
{
	public $h1='Группа персонала - состав участников';

	function select_obj_info()
	{
		parent::select_obj_info();
		if($this->rec_group['pkey']) $this->h1.='" - состав участников';
	}

	function block_main()
	{
		$this->page_title();
		$this->panel_group_personals();
	}

	function panel_group_personals()
	{
		include_once(_DIR_EXT.'/personal/report_personals.php');
		$report_obj=new report_personals();
		$report_obj->personals_filter_reffer=$this->rec_group['_reffer'];
		$report_obj->debug=0;
		$report_obj->no_use_account_usl_select=1; // показывать всех сотрудников без учета фильтра по текущему аккаунту
		$report_obj->init();
		$report_obj->setting();
		$report_obj->view(array('debug'=>0));
	}
}

?>
